### Class

# Gimp Pattern

unstable since: 3.0

#### Description [src]

    final class Gimp.Pattern : Gimp.Resource
      implements Gimp.ConfigInterface {
      /* No available fields */
    }

Installable object used by fill and clone tools.

Available since: 3.0

#### Ancestors

- GimpResource
- GObject

#### Implements

- GimpConfigInterface

#### Functions

###### gimp_pattern_get_by_name

Returns the pattern with the given name.

unstable since: 3.0

#### Instance methods

###### gimp_pattern_get_buffer

Gets pixel data of the pattern within the bounding box specified by `max_width` and `max_height`. The data will be scaled down so that it fits within this size without changing its ratio. If the pattern is smaller than this size to begin with, it will not be scaled up.

unstable since: 3.0

###### gimp_pattern_get_info

Gets information about the pattern.

since: 2.2

##### Methods inherited from GimpResource (12)

###### gimp_resource_delete

Deletes a resource.

unstable since: 3.0

###### gimp_resource_duplicate

Duplicates a resource.

unstable since: 3.0

###### gimp_resource_get_id

No description available.

unstable since: 3.0

###### gimp_resource_get_name

Returns the resource’s name.

unstable since: 3.0

###### gimp_resource_is_brush

Returns whether the resource is a brush.

unstable since: 3.0

###### gimp_resource_is_editable

Whether the resource can be edited.

unstable since: 3.0

###### gimp_resource_is_font

Returns whether the resource is a font.

unstable since: 3.0

###### gimp_resource_is_gradient

Returns whether the resource is a gradient.

unstable since: 3.0

###### gimp_resource_is_palette

Returns whether the resource is a palette.

unstable since: 3.0

###### gimp_resource_is_pattern

Returns whether the resource is a pattern.

unstable since: 3.0

###### gimp_resource_is_valid

Returns TRUE if the resource is valid.

unstable since: 3.0

###### gimp_resource_rename

Renames a resource. When the name is in use, renames to a unique name.

unstable since: 3.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GimpResource (1)

###### Gimp.Resource:id

No description available.

unstable since: 3.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct GimpPatternClass {
      GimpResourceClass parent_class;

    }

No description available.

###### Class members

`parent_class: GimpResourceClass`
  No description available.